Announcement

Collapse
No announcement yet.

Grr-- can't get my vb2 posts in!

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Grr-- can't get my vb2 posts in!

    So I deleted all the files on my server (except the database), and installed vb3, but now i can't get my users/posts/forums... anything from vb2!

    Help, please!

  • #2
    After uploading the files dod you run upgrade.php ?

    Comment


    • #3
      Originally posted by Zachery
      After uploading the files dod you run upgrade.php ?
      I'm trying this again-- uploading all the files again, setting the database to my backup mirror DB... i'll know in a second

      Comment


      • #4
        upgrade.php gives me this error:

        There seems to have been a slight problem with the database.
        Please try again by pressing the refresh button in your browser.

        An E-Mail has been dispatched to our Technical Staff, who you can also contact if the problem persists.

        We apologise for any inconvenience.

        Comment


        • #5
          Database error in vBulletin :

          Invalid SQL:
          SELECT title, data
          FROM datastore
          WHERE title IN ('options', 'cron', 'forumcache', 'usergroupcache', 'stylecache')

          mysql error: Table 'import.datastore' doesn't exist

          mysql error number: 1146

          here are the tables in my db:
          +----------------------+
          | Tables_in_import |
          +----------------------+
          | access |
          | adminlog |
          | adminutil |
          | announcement |
          | attachment |
          | avatar |
          | bbcode |
          | calendar_events |
          | customavatar |
          | forum |
          | forumpermission |
          | icon |
          | moderator |
          | poll |
          | pollvote |
          | post |
          | privatemessage |
          | profilefield |
          | replacement |
          | replacementset |
          | search |
          | searchindex |
          | session |
          | setting |
          | settinggroup |
          | smilie |
          | style |
          | subscribeforum |
          | subscribethread |
          | template |
          | templateset |
          | thread |
          | threadrate |
          | user |
          | useractivation |
          | userfield |
          | usergroup |
          | usertitle |
          | word |
          +----------------------+

          Comment


          • #6
            Per this thread: http://www.vbulletin.com/forum/showthread.php?t=99502 I tried "fixoptions.php"...

            that gave me this error:
            Rebuilding options
            Fatal error: Call to undefined function: build_datastore() in /home/httpd/vhosts/climbdown.net/httpdocs/includes/adminfunctions.php on line 1785

            Comment


            • #7
              then i tried to to my other, duplicate database and got:

              Database error in vBulletin :

              Invalid SQL:
              SELECT title, data
              FROM datastore
              WHERE title IN ('options', 'cron', 'forumcache', 'usergroupcache', 'stylecache')

              mysql error: Table 'import.datastore' doesn't exist

              mysql error number: 1146

              Date: Saturday 22nd of May 2004 02:02:11 AM
              Script: http://www.climbdown.net/fixoptions.php
              Referer:


              I can't figure out what the problem is... i can't imagine my permissions are set wrong...
              IP Address: 66.118.196.89

              Comment


              • #8
                Fix options would only work if you had a fully working vBulletin 3 instaltion / upgrade.

                IT sounds like you skiped a step while upgrading the first time around.

                Comment


                • #9
                  The way to upgrade is as follows.

                  From version 2 to version 3.

                  Make a backup of your WORKING version 2.x files & database .sql dump.

                  Remove the version 2 files, leave the database as it is.

                  Upload all the version 3 files.

                  Update config.php.new with the mysql details and rename it to config.php

                  Goto your browser and forum url.com/install/upgrade.php

                  Follow the on-line instructions.

                  And you are done.

                  Comment


                  • #10
                    Originally posted by Floris
                    The way to upgrade is as follows.

                    From version 2 to version 3.

                    Make a backup of your WORKING version 2.x files & database .sql dump.

                    Remove the version 2 files, leave the database as it is.

                    Upload all the version 3 files.

                    Update config.php.new with the mysql details and rename it to config.php

                    Goto your browser and forum url.com/install/upgrade.php

                    Follow the on-line instructions.

                    And you are done.
                    right, that's what i've been doing, and that's how i get this error

                    Comment


                    • #11
                      nevermind. i ended up importing into phpbb, then importing back into vb

                      Comment


                      • #12
                        There isn't a vB2->vB3 importer currently, so that might of been part of the issue.
                        I wrote ImpEx.

                        Blog | Me

                        Comment


                        • #13
                          Originally posted by Jerry
                          There isn't a vB2->vB3 importer currently, so that might of been part of the issue.
                          vB2 isnt fully upgradable?
                          Thats really funny.
                          Next time I first read the Forums and then buy the licence

                          Comment


                          • #14
                            It is.

                            vBulletin 3 comes with a upgrade script.
                            This script can upgrade from 2.x to 3.x and from 3.x to 3.x

                            The first post in this thread was 'i can't get posts'. What does that mean, which error did you get? If you have succesffully upgraded from 2.x to 3.x you need to make a new style where the 'parent' is based on 'none'. That way you use the latest templates, and not the templates from the version 2. (which are only included as a reference style)

                            If you had a database or parse error, post the full error.

                            The other errors appear to be from trying to upgrade from a incomplete database backup.

                            Drop the database as it is now, import the database from the version 2.x working backup and remove the version 2 files, upload the version 3 files and run upgrade.

                            If you then run into an error, post it here so we can have a look at it.
                            Could you also be so kind to include a link to your phpinfo so we can see if there are some requirements missing or we might notice something that could be 'bugging' things up.

                            Comment

                            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                            Working...
                            X